com.holonplatform.auth.jwt

## Class JwtConfigProperties.JwtConfigPropertiesImpl

- java.lang.Object
- - com.holonplatform.core.internal.config.DefaultConfigPropertySet
  - - com.holonplatform.auth.jwt.JwtConfigProperties.JwtConfigPropertiesImpl

- All Implemented Interfaces:
    JwtConfigProperties, ConfigPropertySet
  Enclosing interface:
    JwtConfigProperties

      public static class JwtConfigProperties.JwtConfigPropertiesImpl
      extends com.holonplatform.core.internal.config.DefaultConfigPropertySet
      implements JwtConfigProperties

  Default implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `com.holonplatform.core.internal.config.DefaultConfigPropertySet.DefaultBuilder<C extends ConfigPropertySet>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.auth.jwt.JwtConfigProperties

      `JwtConfigProperties.JwtConfigPropertiesImpl`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `ConfigPropertySet.Builder<C extends ConfigPropertySet>, ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.auth.jwt.JwtConfigProperties

      `DEFAULT_EXPIRE_TIME, EXPIRE_TIME_DAYS, EXPIRE_TIME_HOURS, EXPIRE_TIME_MINUTES, EXPIRE_TIME_MS, EXPIRE_TIME_SECONDS, INCLUDE_DETAILS, INCLUDE_PERMISSIONS, ISSUER, KEY_SOURCE_CLASSPATH_PREFIX, KEY_SOURCE_FILE_PREFIX, NAME, NOT_BEFORE_NOW, PRIVATE_KEY, PRIVATE_KEY_ENCODING, PRIVATE_KEY_FILE, PRIVATE_KEY_FORMAT, PRIVATE_KEY_SOURCE, PRIVATE_KEY_STORE_ALIAS, PRIVATE_KEY_STORE_ALIAS_PASSWORD, PRIVATE_KEY_STORE_PASSWORD, PUBLIC_KEY, PUBLIC_KEY_ENCODING, PUBLIC_KEY_FILE, PUBLIC_KEY_FORMAT, PUBLIC_KEY_SOURCE, PUBLIC_KEY_STORE_ALIAS, PUBLIC_KEY_STORE_ALIAS_PASSWORD, PUBLIC_KEY_STORE_PASSWORD, SHARED_KEY, SIGNATURE_ALGORITHM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JwtConfigPropertiesImpl()`

  - ### Method Summary

    - ### Methods inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `addAliasName, addPropertyProvider, getConfigPropertyName, getConfigPropertyValue, getName, getSubPropertiesUsingPrefix, hasConfigProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.auth.jwt.JwtConfigProperties

      `builder, getName`

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getSubPropertiesUsingPrefix, hasConfigProperty`

- - ### Constructor Detail

    - #### JwtConfigPropertiesImpl

          public JwtConfigPropertiesImpl()

Copyright © 2019 The Holon Platform. All rights reserved.